Missing dependencies

Ask for help and post your question on how to use XnView MP.

Moderators: XnTriq, xnview

Post Reply
Brad_Reed
Posts: 1
Joined: Sat Feb 01, 2020 11:27 pm

Missing dependencies

Post by Brad_Reed »

I just tried to give XnViewMP a try on my linux laptop, but apparently I am missing a few libraries.

$ ldd /opt/XnView/XnView | grep found
libQtAV.so.1 => not found
libQtAVWidgets.so.1 => not found
libwoff2dec.so.1.0.2 => not found
libhyphen.so.0 => not found

I have qt5-5.13.2 and qt5-webkit-5.212.0_alpha3 installed. Where can I find libQtAV?

Is a download of the previous version still available?
ivnmad
Posts: 12
Joined: Sun Jun 17, 2012 3:32 pm

Re: Missing dependencies

Post by ivnmad »

Hi, what distribution are you using?
Debian, Ubuntu, Fedora, etc.

Have you tried to launch the software using xnview.sh?
That script will also use the libs coming with the software.

Ivan
User avatar
xnview
Author of XnView
Posts: 33840
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: Missing dependencies

Post by xnview »

you need to use xnview to start it
Pierre.
KenKeys
Posts: 1
Joined: Wed Feb 12, 2020 3:41 am

Re: Missing dependencies

Post by KenKeys »

I'm having the same problem.

It's installed on Ubuntu from XnViewMP-linux-x64.deb

This is what I see:
/opt/XnView/xnview.sh %F
/opt/XnView/XnView: error while loading shared libraries: libopenal.so.1: cannot open shared object file: No such file or directory
User avatar
xnview
Author of XnView
Posts: 33840
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: Missing dependencies

Post by xnview »

you need to install libopenal1-dev
Pierre.
treviris
Posts: 1
Joined: Sun Jun 14, 2020 11:41 am

Re: Missing dependencies

Post by treviris »

I'm having the same problem.
Xnview worked for me well in Ubuntu 19.10 and before, in Ubuntu 20.04 I get the error message
"error while loading shared libraries: libopenal.so.1: cannot open shared object file: No such file or directory"
The same thing when I try to reinstall it via /opt/XnView/xnview.sh.
If I try to install libopenal1-dev (as stated above) the package is not found by the system.
IcePix
Posts: 2
Joined: Sun Feb 16, 2014 9:40 pm

Re: Missing dependencies

Post by IcePix »

I have a similar problem with Linux Mint 20 (Linuxmint 20 "ulyana" (Ubuntu 20.04 "focal") kernel 5.4.0-40-generic Cinnamon 4.6.6 Gnome 3.36.2 Bash 5.0.16(1)). Mint 20 was released a few days ago. When I run xniew or xnview.sh, I see
qt5ct: using qt5ct plugin
Segmentation fault (core dumped)

Following Pierre's post, I tried installing libopenal1-dev, but Mint 20 doesn't have it, it has libopenal-dev. Installing that did not resolve the problem. Now I can't use xnview, I am forced to use nomacs, qui n'est pas à la cheville de xnview.
User avatar
xnview
Author of XnView
Posts: 33840
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: Missing dependencies

Post by xnview »

treviris wrote: Sun Jun 14, 2020 11:56 am If I try to install libopenal1-dev (as stated above) the package is not found by the system.
Do you have tried libopenal-dev ?
Pierre.
cittaul
Posts: 1
Joined: Tue Aug 04, 2020 7:32 pm

Re: Missing dependencies

Post by cittaul »

Hi,
I've installed linuxmint 20, and like always, i got XnViewMp for images manipulations.
But actually it does not work. I've the same issue like " IcePix ":
When I run xniew or xnview.sh, I see
qt5ct: using qt5ct plugin
Segmentation fault (core dumped)
After checking "Synaptic":
qt5ct is correctly installed and his version is: 0.39-1build3
libopenal1 v1:1.19.1-1 is also installed
XnViewMp was installed using "XnViewMPv0.96.4-linux-x64.deb"

Summary configuration:
DISTRIB=LinuxMint
VERSION=20
CODENAME=ulyana

RELEASE=#46-Ubuntu SMP Fri Jul 10 00:24:02 UTC 2020
UBUNTU_CODENAME=focal
KERNEL=5.4.0-42-generic
HDWPLATFORM=x86_64

DESKTOP_SESSION=XFCE
WINDOWS_MANAGER=XFWM4
DESKTOP_COMPONENTS=kdevtmpfs xfce4-session xfce4-panel xfce4-notifyd polkit-gnome-au xfce4-power-man xfce4-volumed gnome-keyring-d xfce4-terminal

GTK+ 3=3.24.20
GLIB 2=2.64.3
CAIRO=1.16.0

GStreamer=gst-launch-1.0 version 1.16.2
GStreamer 1.16.2
GLIBC=Ubuntu GLIBC 2.31-0ubuntu9

Have you some some idea to solve this issue ?

PS: Big thanks for all your work and for the time spent creating and perfecting XnView

EDIT: Found an AppImage version of XnViewMp lastest version on your forum: viewtopic.php?f=82&t=40646
Using it actually, work perfectly. Thank for appimage version.
Post Reply